NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.BeamElementInfo Class Reference

Represents a Beam Element Information. More...

Inheritance diagram for NXOpen.CAE.BeamElementInfo:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Member Functions

unsafe void GetEndReleasesAtAftEnd (out int[] endReleases)
 Returns the end releases at the aft end of the beam element, that are referred to as pin flags in Nastran. More...
 
unsafe void GetEndReleasesAtForeEnd (out int[] endReleases)
 Returns the end releases at the fore end of the beam element, that are referred to as pin flags in Nastran. More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Destroys the object More...
 

Properties

unsafe bool HasSectionAssignedAtAftEnd [get]
 Returns a boolean value that indicates whether a cross section object is assigned to the aft end of the beam element. More...
 
unsafe bool HasSectionAssignedAtForeEnd [get]
 Returns a boolean value that indicates whether a cross section object is assigned to the fore end of the beam element. More...
 
unsafe bool IsTapered [get]
 Returns a boolean value that indicates whether the beam element is a tapered beam element. More...
 
unsafe NXOpen.Vector3d LanguageOffsetAtAftEnd [get]
 Returns the language specific offset at the aft end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver. More...
 
unsafe NXOpen.Vector3d LanguageOffsetAtForeEnd [get]
 Returns the language specific offset at the fore end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver. More...
 
unsafe NXOpen.Vector3d NeutralOffsetAtAftEnd [get]
 Returns the neutral offset at the aft end of the beam element, that is to offset the centroid of the cross section at the aft end of the beam element to the aft node of the beam element in the neutral coordinate system. More...
 
unsafe NXOpen.Vector3d NeutralOffsetAtForeEnd [get]
 Returns the neutral offset at the fore end of the beam element, that is to offset the centroid of the cross section at the fore end of the beam element to the fore node of the beam element in the neutral coordinate system. More...
 
unsafe NXOpen.Point3d OffsetSectionCentroidAtAftEnd [get]
 Returns the new position with offset of the section centroid at the aft end of the beam element in the global coordinate system. More...
 
unsafe NXOpen.Point3d OffsetSectionCentroidAtForeEnd [get]
 Returns the new position with offset of the section centroid at the fore end of the beam element in the global coordinate system. More...
 
unsafe NXOpen.Point3d OffsetSectionShearCenterAtAftEnd [get]
 Returns the new position with offset of the section shear center at the aft end of the beam element in the global coordinate system. More...
 
unsafe NXOpen.Point3d OffsetSectionShearCenterAtForeEnd [get]
 Returns the new position with offset of the section shear center at the fore end of the beam element in the global coordinate system. More...
 
unsafe NXOpen.Matrix3x3 OrientationCoordinateSystem [get]
 Returns the beam orientation coordinate system. More...
 
unsafe
NXOpen.CAE.BeamSection.DirectionOption 
OrientationDirection [get]
 Returns the orientation direction. More...
 
unsafe NXOpen.CAE.FENode OrientationNode [get]
 Returns the orientation node. More...
 
unsafe NXOpen.Vector3d OrientationVector [get]
 Returns the orientation vector of the beam element. More...
 
unsafe NXOpen.CAE.BeamSection SectionAtAftEnd [get]
 Returns the cross section at the aft end of the beam element. More...
 
unsafe NXOpen.CAE.BeamSection SectionAtForeEnd [get]
 Returns the cross section at the fore end of the beam element. More...
 
unsafe
NXOpen.CAE.BeamSection.Properties 
SectionPropertiesAtAftEnd [get]
 Returns the section properties at the aft end of the beam element. More...
 
unsafe
NXOpen.CAE.BeamSection.Properties 
SectionPropertiesAtForeEnd [get]
 Returns the section properties at the fore end of the beam element. More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Detailed Description

Represents a Beam Element Information.

To obtain an instance of this class use CAE::BeamElementInfoHandler::AskElemInfo

Created in NX11.0.0

Member Function Documentation

override void NXOpen.CAE.BeamElementInfo.FreeResource ( )
inlineprotectedvirtual

Destroys the object

Created in NX11.0.0

License requirements: None.

Implements NXOpen.TransientObject.

unsafe void NXOpen.CAE.BeamElementInfo.GetEndReleasesAtAftEnd ( out int[]  endReleases)
inline

Returns the end releases at the aft end of the beam element, that are referred to as pin flags in Nastran.

The values of the end releases are either 0 or 1, 1 represents removing connection between the aft node and selected degrees of freedom, 0 represents not removing the connection.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
endReleases
unsafe void NXOpen.CAE.BeamElementInfo.GetEndReleasesAtForeEnd ( out int[]  endReleases)
inline

Returns the end releases at the fore end of the beam element, that are referred to as pin flags in Nastran.

The values of the end releases are either 0 or 1, 1 represents removing connection between the fore node and selected degrees of freedom, 0 represents not removing the connection.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
endReleases

Property Documentation

unsafe bool NXOpen.CAE.BeamElementInfo.HasSectionAssignedAtAftEnd
get

Returns a boolean value that indicates whether a cross section object is assigned to the aft end of the beam element.

  1. To a constant beam element, when a cross section is defined in the beam mesh physical properties, the section is assigned to both ends of the beam element.

To a tapered beam element:

When two cross sections are defined to the end nodes of the beam chain in the beam mesh physical properties, the fore section is assigned to the fore end of the fore beam element of the beam chain, the aft section is assigned to the aft end of the aft beam element of the beam chain, the section at the other ends are interpolated with these two sections.

When two cross sections are defined to each element in the beam mesh physical properties, the fore section is assigned to the fore end of each element of the beam chain, the aft section is assigned to the aft end of each element of the beam chain.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.BeamElementInfo.HasSectionAssignedAtForeEnd
get

Returns a boolean value that indicates whether a cross section object is assigned to the fore end of the beam element.

  1. To a constant beam element, when a cross section is defined in the beam mesh physical properties, the section is assigned to both ends of the beam element.

To a tapered beam element:

When two cross sections are defined to the end nodes of the beam chain in the beam mesh physical properties, the fore section is assigned to the fore end of the fore beam element of the beam chain, the aft section is assigned to the aft end of the aft beam element of the beam chain, the section at the other ends are interpolated with these two sections.

When two cross sections are defined to each element in the beam mesh physical properties, the fore section is assigned to the fore end of each element of the beam chain, the aft section is assigned to the aft end of each element of the beam chain.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.BeamElementInfo.IsTapered
get

Returns a boolean value that indicates whether the beam element is a tapered beam element.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Vector3d NXOpen.CAE.BeamElementInfo.LanguageOffsetAtAftEnd
get

Returns the language specific offset at the aft end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.

For other solvers, it is same with the neutral offset at the aft end of the beam element.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Vector3d NXOpen.CAE.BeamElementInfo.LanguageOffsetAtForeEnd
get

Returns the language specific offset at the fore end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.

For other solvers, it is same with the neutral offset at the fore end of the beam element.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Vector3d NXOpen.CAE.BeamElementInfo.NeutralOffsetAtAftEnd
get

Returns the neutral offset at the aft end of the beam element, that is to offset the centroid of the cross section at the aft end of the beam element to the aft node of the beam element in the neutral coordinate system.

For the neutral coordinate system, its axis x is the element axis.

  1. When the beam orientation is defined by a vector:

    If orientation direction is CAE.BeamSection.DirectionOption.Horizontal , axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

If orientation direction is CAE.BeamSection.DirectionOption.Vertical , axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.

When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Vector3d NXOpen.CAE.BeamElementInfo.NeutralOffsetAtForeEnd
get

Returns the neutral offset at the fore end of the beam element, that is to offset the centroid of the cross section at the fore end of the beam element to the fore node of the beam element in the neutral coordinate system.

For the neutral coordinate system, its axis x is the element axis.

  1. When the beam orientation is defined by a vector:

    If orientation direction is CAE.BeamSection.DirectionOption.Horizontal , axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

If orientation direction is CAE.BeamSection.DirectionOption.Vertical , axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.

When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Point3d NXOpen.CAE.BeamElementInfo.OffsetSectionCentroidAtAftEnd
get

Returns the new position with offset of the section centroid at the aft end of the beam element in the global coordinate system.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Point3d NXOpen.CAE.BeamElementInfo.OffsetSectionCentroidAtForeEnd
get

Returns the new position with offset of the section centroid at the fore end of the beam element in the global coordinate system.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Point3d NXOpen.CAE.BeamElementInfo.OffsetSectionShearCenterAtAftEnd
get

Returns the new position with offset of the section shear center at the aft end of the beam element in the global coordinate system.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Point3d NXOpen.CAE.BeamElementInfo.OffsetSectionShearCenterAtForeEnd
get

Returns the new position with offset of the section shear center at the fore end of the beam element in the global coordinate system.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Matrix3x3 NXOpen.CAE.BeamElementInfo.OrientationCoordinateSystem
get

Returns the beam orientation coordinate system.

Axis x is from the fore end node with offset to the aft end node with offset.

  1. When the beam orientation is defined by a vector:

    If orientation direction is CAE.BeamSection.DirectionOption.Horizontal , axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

If orientation direction is CAE.BeamSection.DirectionOption.Vertical , axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.

When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node with offset to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.BeamSection.DirectionOption NXOpen.CAE.BeamElementInfo.OrientationDirection
get

Returns the orientation direction.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.FENode NXOpen.CAE.BeamElementInfo.OrientationNode
get

Returns the orientation node.

Orientation node is returned as a null reference (Nothing in Visual Basic) if the beam orientation is defined by a vector.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Vector3d NXOpen.CAE.BeamElementInfo.OrientationVector
get

Returns the orientation vector of the beam element.

If the beam orientation is defined by a node, it returns the vector which points from the fore end node to the orientation node.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.BeamSection NXOpen.CAE.BeamElementInfo.SectionAtAftEnd
get

Returns the cross section at the aft end of the beam element.

There are two cases that no section can be queried:

  1. No section is assigned to the beam physical property table.
  2. It is a tapered beam mesh. The section of the beam element is interpolated, not a real section. To this case, user could access the section properties.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.BeamSection NXOpen.CAE.BeamElementInfo.SectionAtForeEnd
get

Returns the cross section at the fore end of the beam element.

There are two cases that no section can be queried:

  1. No section is assigned to the beam physical property table.
  2. It is a tapered beam mesh. The section of the beam element is interpolated, not a real section. To this case, user could access the section properties.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.BeamSection.Properties NXOpen.CAE.BeamElementInfo.SectionPropertiesAtAftEnd
get

Returns the section properties at the aft end of the beam element.

The section properties are not generated only when cross sections are not fully defined in the beam mesh physical properties.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.BeamSection.Properties NXOpen.CAE.BeamElementInfo.SectionPropertiesAtForeEnd
get

Returns the section properties at the fore end of the beam element.

The section properties are not generated only when cross sections are not fully defined in the beam mesh physical properties.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.